Mimari Eksen

From FreeCAD Documentation
Revision as of 17:54, 9 February 2019 by FuzzyBot (talk | contribs) (Updating to match new version of source page)
Jump to: navigation, search
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎українська
Arrow-left.svg Previous: Arch SectionPlane.svg Section Plane

Arch Axis.svg Arch Axis

Menu location
Arch → Axis
Workbenches
Arch
Default shortcut
A X
Introduced in version
-
See also
Axis System, Arch Grid


Description

The Axis tool allows you to places a series of axes in the current document. The distance and the angle between axes is customizable, as well as the numbering style. The axes serve mainly as references to snap objects onto, but can also be used together with Axes Systems, and can also be referenced by other Arch objects to create parametric arrays, for example of beams or columns. Grids can also be used in places of axes.

Arch Axis example.jpg

Two axes objects positioned perpendicularly to each other to create a grid


How to use

  1. Press the Arch Axis.svg Arch Axis button, or press A then X keys.
  2. Move/rotate the axes system to the desired position.
  3. Enter edit mode by double-clicking the axes system in the tree view to adjust its settings like number of axes, distances and angles between axes.

Options

  • Each axis in the series has its own distance and angle in relation to the previous axis. This allows to do very complex systems such as non-orthogonal systems, polar systems or any kind of non-uniform system
  • Double-clicking the axis in the tree view allows to edit the distances, angles and labels of each axis
  • Axes length, size of the bubbles and numbering styles are customizable directly via the axes system's properties
  • Each axis can also display a label, also editable via the task panel dialog

Properties

  • DATALength: The length of the axes
  • VIEWBubble Size: The size of the axis bubbles
  • VIEWNumeration style: How the axes are numbered: 1,2,3, A,B,C, etc...
  • VIEWBubble Position: Where the bubble is placed on the axis: At start point, endpoint, both or none.
  • VIEWFont Name: A font to draw the bubble number and/or labels
  • VIEWFont Size: The size of the label text only (bubble text is controlled by the bubble size)
  • VIEWShow Labels: Turns the display of the label texts on/off

Scripting

See also: Arch API and FreeCAD Scripting Basics.

The Axis tool can be used in macros and from the Python console by using the following function:

Axes = makeAxis(num=5, size=1000, name="Axes")
  • Creates an Axes object from the given number (num) of axes, and size, the interval between each axis.

Example:

import Draft, Arch

Axes = Arch.makeAxis(5, 1000)

Axes.ViewObject.LineWidth = 3
Axes.ViewObject.BubbleSize = 200
Axes.ViewObject.FontSize = 150

Axes2 = Arch.makeAxis(6, 500)

Axes2.ViewObject.LineWidth = 2
Axes2.ViewObject.BubbleSize = 200
Axes2.ViewObject.FontSize = 150
Axes2.ViewObject.NumberingStyle = "A,B,C"
FreeCAD.ActiveDocument.recompute()

Axes2.Length = 6000
Draft.rotate(Axes2, -90)
Draft.move(Axes2, FreeCAD.Vector(-1000, 2500, 0))
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Previous: Arch SectionPlane.svg Section Plane